using System;
using Hula;

public class mdbtest {

public static void Main (string [] args) {
	MDB mdb = new MDB();
	
	if (! mdb.DropPriviledge()) {
		Console.WriteLine("Couldn't drop priviledge");
	}
	
	if (! mdb.InitLibrary()) {
		Console.WriteLine("Couldn't initialise MDB library");
		return;
	}
	
	if (! mdb.Authenticate(null, null)) {
		Console.WriteLine("Couldn't authenticate to MDB");
		return;
	}
	
	if (mdb.ObjectExists("\\Tree\\Context\\admin")) {
		Console.WriteLine("Admin object exists!");
	} else {
		Console.WriteLine("Admin object doesn't exist");
	}
	
	MDBObject user = mdb.AddObject ("\\Tree\\Context", "test", "User");
	if (user == null) {
		Console.WriteLine("Couldn't add user object!");
	} else {
		user.AddAttribute ("Given Name", "Test Name");
		user.AddAttribute ("Surname", "Test Surname");
		user.ChangePassword (null, "password");
		Console.WriteLine("Added User.");
	}
		
	MDBObject other = mdb.GetObject ("\\Tree\\Context", "test");
	other.debug_InternalValue();
	other.Delete();
	
	Console.WriteLine ("Success.");
}

}
